Name: taskjuggler
Version: 2.2.0
Release: 2
Summary: Project management tool

Group: Applications/Productivity
License: GPL
URL: http://www.taskjuggler.org
Source0: http://www.taskjuggler.org/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdepim-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Patch1: taskjuggler-2.1.1-docbook.patch

%description
TaskJuggler is a modern and powerful project management tool. Its new approach 
to project planning and tracking is far superior to the commonly used Gantt 
chart editing tools. It has already been successfully used in many projects 
and scales easily to projects with hundreds of resources and thousands of 
tasks. It covers the complete spectrum of project management tasks from the 
first idea to the completion of the project. It assists you during project 
scoping, resource assignment, cost and revenue planning, and risk and 
communication management.


%prep
%setup -q
%patch1 -p1 -b .docbook


%build
unset QTDIR && . /etc/profile.d/qt.sh

%configure --with-kde-support=yes --disable-rpath

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR="$RPM_BUILD_ROOT"
make install

desktop-file-install --vendor fedora \
	--delete-original \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
	--add-category X-Fedora --add-category Application \
	--add-category Office \
	${RPM_BUILD_ROOT}/%{_datadir}/applications/kde/taskjuggler.desktop

rm $RPM_BUILD_ROOT%{_libdir}/libtaskjuggler.{la,so}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
gtk-update-icon-cache
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/{crystalsvg,hicolor} || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
gtk-update-icon-cache
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/{crystalsvg,hicolor} || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/TaskJugglerUI
%{_bindir}/taskjuggler
%{_libdir}/libtaskjuggler*
%{_datadir}/applications/fedora-taskjuggler.desktop
%{_datadir}/applications/kde
%{_datadir}/apps/*
%{_datadir}/config/taskjugglerrc
%{_docdir}/HTML/en/*
%{_docdir}/packages/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/application/*.desktop


%changelog
* Mon Jun 26 2006 Than Ngo <than@redhat.com> 2.2.0-2
- cleanup specfile

* Mon May  8 2006 Jens Petersen <petersen@redhat.com> - 2.2.0-1
- packaging fixes from John Mahowald (#166470)

* Tue Mar 28 2006 Jens Petersen <petersen@redhat.com>
- package for Fedora Extras
